<?php
loadController('base/module');

class ControllerTotalfuturacalcularst extends ControllerBaseModule {
	private $error = array();

    protected $referencePathFile = 'total/futuracalcularst';

	public function loadData() {
		$this->load->dmodel('wsceo/cadastro/empresa');

        $this->dataVue['configurations'] = $this->model_setting_setting->getSetting('futuracalcularst');

		$empresas = $this->dmodel_wsceo_cadastro_empresa->consultarEmpresa();
        $this->dataVue['empresas'] = array ();

		if (is_object($empresas)) {
            $this->dataVue['error_ceo'] = $empresas;
        } else {
            if ( $empresas && count($empresas)>0 ){
                foreach ($empresas as $key => $empresa) {
                    $this->dataVue['empresas'][] = array(
                        'id'     => $empresa['id'],
                        'name'   => $empresa['fantasia'],
                        'select' => (ftr_geral::isIsset($this->config->get('futuracalcularst_usuario')) && ($this->config->get('futuracalcularst_usuario') == $empresa['id'])) ? true : false
                    );
                }
            }
        }

	}
}
